%define name	g3DGMV
%define version	0.60
%define release 1mdk

Name: 	 	%{name}
Summary: 	3D digital map viewer for GNOME
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
URL:		http://g3dgmv.sourceforge.net/
License:	GPL
Group:		Sciences/Geosciences
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext libgnome32-devel

%description
The g3DGMV program was designed as a free viewer for Digital Elevation Model
(DEM ) and Digital Line Graphs (DLG ) maps. Both of these formats are available
from various locations on the web. These maps are rendered by g3DGMV as 3D
images that can be manipulated by the user and view from different angles.

In addition g3DGMV can read maps that have been saved as bitmaps (gif ,png,
jpeg ,xpm). Because these formats do not contain elevation information they
are viewable only in 2D mode.

The program contains many utilitys that enable the user to add his/her own
location information to these maps. These tools can be used to mark a favorite
camp site or highlight the best route to some location.

%prep
%setup -q

%build
%configure
# de locale is broken as of v0.60
perl -p -i -e 's/de.po\ //g' `find -name Makefile`
perl -p -i -e 's/de.gmo\ //g' `find -name Makefile`
rm -f po/de.po po/de.gmo
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="g3DGMV" longtitle="3D Map Viewer" section="Applications/Sciences/Geosciences"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS COPYING NEWS
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/gnome/help/gnome-%name
%{_datadir}/gnome/apps/Applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Apr 1 2003 Austin Acton <aacton@yorku.ca> 0.60-1mdk
- initial package
